###############################################################
# 실습 6번 예제 1 
###############################################################

install.packages("ggplot2")
install.packages("dplyr")

library(ggplot2)
library(dplyr)

mpg <- as.data.frame(ggplot2::mpg)
mpg

head(mpg,10)
dim(mpg)
str(mpg)
summary(mpg)

mpg_new <- rename(mpg, city=cty, highway=hwy)  # 알기 쉽게 변수명 바꾸기
head(mpg_new,10)

#ggplot2 를 이용한 점 그래프 그리기 
ggplot(data = mpg, aes(x = displ, y = hwy))
ggplot(data = mpg, aes(x = displ, y = hwy)) + geom_point()
ggplot(data = mpg, aes(x = displ, y = hwy)) + 
  geom_point() + 
  xlim(3, 6) + 
  ylim(10, 30)

#qplot을 이용한 점, 선, 박스플롯 그리기 함수 
qplot(data=mpg, x= drv, y=hwy)
qplot(data=mpg, x= drv, y=hwy, geom="line")
qplot(data=mpg, x= drv, y=hwy, geom="boxplot")


###############################################################
# 실습 6번 예제 2 (막대 그래프 만들기) 
# geom_col() 는 x 축과 y 축을 다 지정
# geom_bar() 는 x 축만 지정 
###############################################################

df_mpg <- mpg %>%
  group_by(drv) %>%
  summarise(mean_hwy = mean(hwy))
df_mpg

ggplot(data = df_mpg, aes(x = drv, y = mean_hwy)) + geom_col()


# x축 범주 변수, y축 빈도
table(mpg$drv)
ggplot(data = mpg, aes(x = drv)) + geom_bar()

# x축 연속 변수, y축 빈도
table(mpg$hwy)
ggplot(data = mpg, aes(x = hwy)) + geom_bar()


###############################################################
# 실습 6번 예제 3  (선 그래프 만들기)
###############################################################

eco <- as.data.frame(ggplot2::economics)
head(eco,10)
dim(eco)
str(eco)
summary(eco)

ggplot(data = economics, aes(x = date, y = unemploy)) + geom_line()

###############################################################
# 실습 6번 예제 4  (상자 그림(boxplot)  만들기)
###############################################################

ggplot(data = mpg, aes(x = drv, y = hwy)) + geom_boxplot()






